XLS_DRiver

Installer won't run because "outdated version of FSX-SE"

Recommended Posts

Posted (edited)

I am trying to install the 737NG and when I get past the screen asking which version I want (FSX & FSX Steam) I get the following error message;

 

An outdated version of FSX-SE has been detected. Before you can install this PMDG product you will need to update FSX-SE.

 

However, I have the most recent version of FSX-SE on my PC and there are no updates available.

 

Thanks in advance,

 

Brian Nuss

Edited by XLS_DRiver

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Welcome to the PMDG forums, please note their rules ask us to sign our full name on all posts here.

First guess is that there is a problem with the registry entry for FSXSE.  I recommend you submit a trouble ticket at PMDG Product Support.

Share this post


Link to post
Share on other sites

I ran a registry fix tool previously, so as far as I know, the routing is correct.

 

I did however, submit a ticket to PMDG.

Share this post


Link to post
Share on other sites

Brian,

A couple of items for you:

The installer is looking to see that your registry keys show a valid and correctly structured installation of FSX-SE.  Once it clears that hurdle, it goes and looks in the directory defined by the registry and version-checks the executable file to be certain you have the correct version.

The error message you are getting tells me that your executable has been swapped out for one that is NOT the correct version, **or** you are using some kind of registry redirect in order to marge scenery and products from different sim platforms into multiple sim platforms, but it is misconfigured and causing the error checking to go awry.

Based on your comments above i'm not able to diagnose further- but I'm betting that the registry location is misreporting and thus the EXE version check is simply failing out because it cannot find the EXE.

I hope that helps you to resolve it!

 

Share this post


Link to post
Share on other sites

Thanks, Robert. PMDG got back to me directly and gave me a quick and easy fix--just uninstall and then re-install Steam.

I didn't lose any of my add-ons and after doing that--Bing! The installation was able to proceed.  🐵

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now